Bug 1379556 - (CVE-2016-9181) CVE-2016-9181 perl-Image-Info: XXE in SVG files
CVE-2016-9181 perl-Image-Info: XXE in SVG files
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160927,reported=2...
: Security
Depends On: 1379557 1379558
Blocks: 1377998
  Show dependency treegraph
 
Reported: 2016-09-27 02:53 EDT by Doran Moppert
Modified: 2017-01-25 09:29 EST (History)
9 users (show)

See Also:
Fixed In Version: perl-Image-Info 1.39
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in perl-ImageInfo. When parsing an SVG file, external entity expansion (XXE) was not disabled. An attacker could craft an SVG file which, when processed by an application using perl-Image-Info, could cause denial of service or, potentially, information disclosure.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-16 21:46:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doran Moppert 2016-09-27 02:53:28 EDT
The Image::Info package makes no precautions against external entity
expansion in SVG files.  A crafted file could cause information disclosure
or denial of service.

Upstream bug:

https://rt.cpan.org/Public/Bug/Display.html?id=118099
Comment 1 Doran Moppert 2016-09-27 02:54:22 EDT
Created perl-Image-Info tracking bugs for this issue:

Affects: epel-5 [bug 1379557]
Affects: fedora-all [bug 1379558]
Comment 2 Doran Moppert 2016-10-04 21:27:41 EDT
Upstream patch:

http://search.cpan.org/diff?from=Image-Info-1.38&to=Image-Info-1.38_50&w=1
Comment 3 Doran Moppert 2016-11-16 20:26:18 EST
Statement:

Red Hat Product Security has rated this issue as having Low security
impact. This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.
Comment 4 Doran Moppert 2016-11-16 20:26:26 EST
Acknowledgments:

Name: Doran Moppert (Red Hat Product Security Team)

Note You need to log in before you can comment on or make changes to this bug.